Package com.ocient.jdbc

# Class XGTimestamp

java.lang.Object
java.util.Date
java.sql.Timestamp
com.ocient.jdbc.XGTimestamp

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<Date>`

public class XGTimestamp extends Timestamp

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`XGTimestamp(int year, int month, int date, int hour, int minute, int second, int nano)`
Deprecated.
`XGTimestamp(long time)`
`XGTimestamp(XGDate date)`
`XGTimestamp(Timestamp ts)`

## Method Summary

Modifier and Type
Method
Description
`XGTimestamp`
`addMs(int ms)`
`boolean`
`equals(Object obj)`
`boolean`
`equals(Timestamp obj)`
`static Timestamp`
`from(Instant instant)`
`int`
`getDate()`
Deprecated.
`int`
`getDay()`
Deprecated.
`int`
`getMonth()`
Deprecated.
`int`
`getTimezoneOffset()`
Deprecated.
`int`
`getYear()`
Deprecated.
`int`
`hashCode()`
`static long`
`parse(String s)`
Deprecated.
`void`
`setDate(int date)`
Deprecated.
`void`
`setMonth(int month)`
Deprecated.
`void`
`setYear(int year)`
Deprecated.
`long`
`toCppFormat()`
`String`
`toGMTString()`
Deprecated.
`Instant`
`toInstant()`
`LocalDateTime`
`toLocalDateTime()`
`String`
`toLocaleString()`
Deprecated.
`String`
`toString()`
`static long`
`UTC(int year, int month, int date, int hrs, int min, int sec)`
Deprecated.
`static Timestamp`
`valueOf(String s)`
`static Timestamp`
`valueOf(LocalDateTime date)`

### Methods inherited from class java.sql.Timestamp

`after, before, compareTo, compareTo, getNanos, getTime, setNanos, setTime`

### Methods inherited from class java.util.Date

`after, before, clone, getHours, getMinutes, getSeconds, setHours, setMinutes, setSeconds`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XGTimestamp

@Deprecated public XGTimestamp(int year, int month, int date, int hour, int minute, int second, int nano)
Deprecated.

### XGTimestamp

public XGTimestamp(long time)

### XGTimestamp

public XGTimestamp(Timestamp ts)

### XGTimestamp

public XGTimestamp(XGDate date)

## Method Details

### from

public static Timestamp from(Instant instant)

### parse

@Deprecated public static long parse(String s)
Deprecated.

### UTC

@Deprecated public static long UTC(int year, int month, int date, int hrs, int min, int sec)
Deprecated.

### valueOf

public static Timestamp valueOf(LocalDateTime date)

### valueOf

public static Timestamp valueOf(String s)

### addMs

public XGTimestamp addMs(int ms)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Timestamp`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Timestamp`

### equals

public boolean equals(Timestamp obj)

Overrides:
  `equals` in class `Timestamp`

### getDate

@Deprecated public int getDate()
Deprecated.

Overrides:
  `getDate` in class `Date`

### getDay

@Deprecated public int getDay()
Deprecated.

Overrides:
  `getDay` in class `Date`

### getMonth

@Deprecated public int getMonth()
Deprecated.

Overrides:
  `getMonth` in class `Date`

### getTimezoneOffset

@Deprecated public int getTimezoneOffset()
Deprecated.

Overrides:
  `getTimezoneOffset` in class `Date`

### getYear

@Deprecated public int getYear()
Deprecated.

Overrides:
  `getYear` in class `Date`

### setDate

@Deprecated public void setDate(int date)
Deprecated.

Overrides:
  `setDate` in class `Date`

### setMonth

@Deprecated public void setMonth(int month)
Deprecated.

Overrides:
  `setMonth` in class `Date`

### setYear

@Deprecated public void setYear(int year)
Deprecated.

Overrides:
  `setYear` in class `Date`

### toGMTString

@Deprecated public String toGMTString()
Deprecated.

Overrides:
  `toGMTString` in class `Date`

### toInstant

public Instant toInstant()

Overrides:
  `toInstant` in class `Timestamp`

### toLocalDateTime

public LocalDateTime toLocalDateTime()

Overrides:
  `toLocalDateTime` in class `Timestamp`

### toLocaleString

@Deprecated public String toLocaleString()
Deprecated.

Overrides:
  `toLocaleString` in class `Date`

### toString

public String toString()

Overrides:
  `toString` in class `Timestamp`

### toCppFormat

public long toCppFormat()